<div class="titleDialog" style="height: 28%;">
  <mat-icon style="color: white;">post_add</mat-icon>
  <p style="margin-left: 10px;">
    นำเข้ารายชื่อ
  </p>
</div>
<div>
  <div
    class="column"
    style="width:100%;display: flex;height: 10%; margin-left: 7%;margin-top: 10px;"
  >
    <button
      color="primary"
      class="buttonDialog"
      style="background-color: #c0bdbd;"
      (click)="export()"
    >
      ดาวน์โหลดแบบฟอร์ม Excel
    </button>
    <!-- <div style="text-align: center;width: 40%;">{{filename}}</div> -->
    <button
      color="primary"
      class="buttonDialog"
      style="margin-left: 20px; background-color: #c0bdbd;"
      (click)="fileUpload.click()"
    >
      {{filename}}
    </button>
    <input
      type="file"
      (change)="onFileChange($event)"
      (change)="handleFileInput($event.target.files)"
      #fileUpload
      hidden
      accept="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"
      id="fileSelect"
      runat="server"
    />
  </div>
</div>

<div
  class="column"
  style="width:100%;display: flex;height: 10%; margin-left: 7%;margin-top: 5%;"
>
  <button
    (click)="onClose()"
    class="buttonDialog"
    style="background-color: #999999; margin-right: 10px;"
  >
    ยกเลิก
  </button>
  <button
    color="primary"
    (click)="onConfirm()"
    class="buttonDialog"
    style="margin-left: 10px; background-color: #009688;"
  >
    ยืนยัน
  </button>
</div>
